// test.cpp - Adquisición de recursos
#include <iostream>
#include "vector.h"
using namespace std;

int main()
{
  int i = 0, n = 3;
  try
  {
    // Adquirir el recurso
    Vector vector1 = Vector(n);
    vector1.iniciar();
    // Operar con el recurso
    for (i = 0; i < vector1.longitud(); i++)
      vector1[i] = i * 3;
    Vector vector2 = vector1;
    for (i = 0; i < vector1.longitud(); i++)
      cout << vector2[i] << " ";
    cout << endl;
  }
  catch(...)
  {
    cout << "excepción inesperada\n";
    return -1;
  }

  system("pause");
}

